import 'package:app_features/app_features.dart';
import 'package:flutter/material.dart';

class MasterPage extends StatelessWidget {
  /// The navigation shell and container for the branch Navigators.
  final StatefulNavigationShell navigationShell;

  final BottomNavigationBuildr bottomNavigationBar;

  const MasterPage(
      {Key? key,
      required this.navigationShell,
      required this.bottomNavigationBar})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: navigationShell,
      bottomNavigationBar: bottomNavigationBar(navigationShell),
      /*bottomNavigationBar: BottomNavigationBar(
        // Here, the items of BottomNavigationBar are hard coded. In a real
        // world scenario, the items would most likely be generated from the
        // branches of the shell route, which can be fetched using
        // `navigationShell.route.branches`.
        items: navigationShell.route.branches.map((e) {
          Feature feature = AppFeatures()
              .masterLayout!
              .features
              .firstWhere((element) => element.name == e.defaultRoute?.name);
          return feature.bottomNavigationBarItem!;
        }).toList(),
        currentIndex: navigationShell.currentIndex,
        onTap: (int index) => _onTap(index),
      ),*/
    );
  }

  /// Navigate to the current location of the branch at the provided index when
  /// tapping an item in the BottomNavigationBar.
  void _onTap(int index) {
    // When navigating to a new branch, it's recommended to use the goBranch
    // method, as doing so makes sure the last navigation state of the
    // Navigator for the branch is restored.
    navigationShell.goBranch(
      index,
      // A common pattern when using bottom navigation bars is to support
      // navigating to the initial location when tapping the item that is
      // already active. This example demonstrates how to support this behavior,
      // using the initialLocation parameter of goBranch.
      initialLocation: index == navigationShell.currentIndex,
    );
  }
}
